1.0
1.0
get /v1/assignments/policies
Description
list policies for target
State ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | organization_id optional | 조직 ID Example : o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5 | any of [string, null] | None |
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | target_id required | 타겟 ID Example : ou-1a2b3c4d5e6f7g8h9i0j1k2l3m4n5 | string | None |
| query | policy_category optional | 정책 카테고리 Example : SCP | any of [enum (SCP, RCP, TAG, DGP), null] | SCP |
| query | name optional | 제어 정책 이름 Example : test-policy-name | any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ListPoliciesForTargetResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/assignments/policies?target_id={target_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = organization 1.0"
Example HTTP response
Response 200
{
"count": 20,
"page": 0,
"policies": [
{
"created_at": "2024-12-19 01:09:05.000",
"created_by": "c23fb561c689455993874fa5d5ed4a2f",
"id": "0a36e0746dbf4908acf0357829701381",
"link_types": {
"DIRECTED": [
{
"target_id": "1a2b3c4d5e6f7g8h9i0j1k2l3m4n5",
"target_name": "example-target",
"target_type": "OU"
}
],
"INHERITED": [
{
"target_id": "2a2b3c4d5e6f7g8h9i0j1k2l3m4n5",
"target_name": "root",
"target_type": "ROOT"
}
]
},
"modified_at": "2023-10-15 14:30:00",
"modified_by": "c23fb561c689455993874fa5d5ed4a2f",
"policy_name": "test-policy-name",
"policy_type": "SYSTEM_MANAGED",
"source": "ORGANIZATION"
}
],
"size": 20,
"sort": [
"created_at:asc"
]
}